On 11/22/2012 11:18 AM, Pádraig Brady wrote:
I also noticed that `sed -i` was used,
so I fixed that and made the simplificiation as suggested above, with...
Thanks.
The patch doesn't apply well - there is an excess blank at the beginning
of each unchanged line. Strange.
Other than that, it looks good.
What about a further simplification?
Have a nice day,
Berny
diff --git a/tests/df/df-output.sh b/tests/df/df-output.sh
index 0aee5f2..2bee4b0 100644
--- a/tests/df/df-output.sh
+++ b/tests/df/df-output.sh
@@ -124,12 +124,7 @@ sed -n -e '3 {
compare exp out2 || fail=1
# Ensure that --output is mentioned in the usage.
-cat <<\EOF > exp || framework_failure_
---output
-EOF
-
df --help > out || fail=1
-grep ' --output' out | sed 's/^.*\(--output\).*$/\1/;q' > out2
-compare exp out2 || fail=1
+grep ' --output' out >/dev/null || fail=1